swish++ (6.1.5-5) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC-7, patch 853673.patch
  * Set source/format to 3.0 (quilt)

 -- Tobias Frost <tobi@debian.org>  Sat, 12 Aug 2017 00:47:44 -0400

swish++ (6.1.5-4) unstable; urgency=medium

  * QA upload.
  * Change compat level to 9 (Closes: #817683)
  * Add patch to compile with GCC-6 (Closes: #811797)
  * Call right index++ in httpindex binary (Closes: #663620)
  * Fix patch splitmail_junk_header (Closes: #545230)

 -- Tobias Frost <tobi@debian.org>  Sat, 24 Sep 2016 00:41:38 +0200

swish++ (6.1.5-3) unstable; urgency=high

  * QA upload
  * Switch Maintainer to Debian QA Group
  * Change dependency on perl5 to perl (Closes: #808323)

 -- Dominic Hargreaves <dom@earth.li>  Fri, 18 Dec 2015 16:39:14 +0000

swish++ (6.1.5-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add fix_ftbfs_with_gcc4.7 patch.
    Fix FTBFS with gcc 4.7 by adding 'this->' where needed.
    Thanks to Cyril Brulebois <kibi@debian.org> for the patch. (Closes: #667386)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 17 May 2012 09:06:13 +0200

swish++ (6.1.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with newer GCC 4.6 (Closes: #629813) and with binutils-gold
    (Closes:#556479).  Patches thanks to Georgios M. Zarkadas.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 12 Sep 2011 19:37:31 +0200

swish++ (6.1.5-2) unstable; urgency=low

  * Added some more detailed remarks in README.Debian about
    the use of swish++ in cron scripts based on remarks from
    upstream author Paul J. Lucas.
    - we do not need the print_failed_filter patch. Users
      should run with "-v4" instead.
    - the bugs #459611 and #461349 are marked "wontfix" now
      that instructions on fixing these problems are provided.
  * debian/watch: Added entry for take new upstream .tar.gz name.
  * debian/rlimit: Ensure that hard limit is set with "-H" flag to
    ulimit.
  * debian/patches/fixincludes_gcc4.4: Added fix for gcc4.4 FTBFS
    thanks to Martin MichlMayr. Closes: #504850.
  * debian/control: Standards Version 3.8.0. No other changes
    required.
  * debian/patches/print_failed_filter: Removed. No longer required.

 -- Kapil Hari Paranjape <kapil@debian.org>  Thu, 05 Mar 2009 18:58:35 +0530

swish++ (6.1.5-1) unstable; urgency=low

  * New upstream release (6.1.5)
  * debian/control:
    - added Homepage: field pointing to sourceforge site.
    - Standards Version: 3.7.3.
  * Implemented a partial solution to #459611 and #461349
    as a wrapper for filters which imposes resource limits:
    - debian/rlimit: the wrapper script.
    - debian/rules: modified the "binary-arch" rule to actually
      install the script in examples directory.
    - README.Debian: added documentation on this problem.
  * debian/patches/print_failed_filter: generate error message
    about failed filter. (Closes: #211513)
  * debian/control: Added Vcs-Svn tag.
  * Updated debhelper usage:
    - debian/compat: set to '4'.
    - debian/rules: removed definition of DH_COMPAT.

 -- Kapil Hari Paranjape <kapil@debian.org>  Thu, 21 Feb 2008 16:04:29 +0530

swish++ (6.1.4-2) unstable; urgency=low

  * debian/patches:
    - add_explicit_cstdlib_dependencies: Add explicit
      include for cstdlib. Thanks to Martin Michlmayr for the
      patch. Closes: #417712.
    - use_PATH_MAX_from_climits: Comment out upstream's
      redefinition of PATH_MAX. Closes: #397955.
    - fix_man_pages: Remove extra space in synopsis for man/man1/splitmail.1
      Closes: #384988.
    - fix_man4to5: Change references from section 4 to section 5 in
      all relevant man pages.
    - splitmail_junk_header: Make splitmail save a non-mail junk header
      to a separate file. Closes: #420791.
  * debian/watch: Fix url for sourceforge.
  * debian/changelog: Fix typo in the previous entry closing #242238.
  * debian/control: Change maintainer's e-mail address.
  * debian/copyright: Edited out the old address of FSF.

 -- Kapil Hari Paranjape <kapil@debian.org>  Mon,  6 Aug 2007 07:13:25 +0530

swish++ (6.1.4-1) unstable; urgency=low

  * New Maintainer. Closes: #385743.
  * New upstream release (6.1.4). Closes: #321674.
     - Builds with g++ 4.1. Closes: #356160.
  * debian/patches:
     - incorporated patches under "quilt".
     - patch from Andreas Jochens to cast char to int correctly for
       64bit arches. Closes: #302561.
  * debian/rules:
    - updated for new location of scripts in source.
    - changed "configure-stamp" to use /usr/share/quilt/quilt.make.
      following suggestion of James Westby.
    - replaced use of "debian/fixmanpages" by use of
      quilt.
    - changed "configure-stamp" to fix manpage location.
      Closes: #282508.
    - DH_COMPAT=4
    - Use "distclean" target of toplevel Makefile.
    - Removed call to "dh_undocumented".
  * debian/copyright: included all copyright statements.
  * debian/control:
    - added homepage to description.
    - updated "debhelper" dependency.
    - added "quilt" dependency.
    - update package description. Closes: #291070.
    - Standards-Version 3.7.2. No changes required.
  * debian/changelog: Acknowledge NMU's. Thanks to Frank Lichtenheld,
    Martin Michlmayr. Closes: #302561, #356160.
  * debian/:
    - Removed the unused files "all_in_one.patch" and
      "swish++.conf.patch".
    - added "watch" file.
  * debian/oo_indexing: Included OpenOffice indexing example from
    Bastian Kleineidam. Closes: #242238.
  * debian/patches/use_gcc_for_ld: Patched config/config.mk and
    top-level GNUmakefile to use "gcc" instead of "g++" for linking.
    This prevents unneeded dependencies. Thanks to Christian
    Aichinger's scripts for pointing this out.

 -- Kapil Hari Paranjape <kapil@imsc.res.in>  Mon, 23 Oct 2006 09:27:25 +0530

swish++ (5.15.3-3.2) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * patches/gcc41.patch: Remove extra qualification from C++ header
    file (closes: #356160).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 25 May 2006 18:01:50 +0200

swish++ (5.15.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch by Andreas Jochens to fix FTBFS with g++ 4.0
    (Closes: #302561)
  * Add missing Build-Depends on zlib1g-dev

 -- Frank Lichtenheld <djpig@debian.org>  Sat,  6 Aug 2005 21:31:30 +0200

swish++ (5.15.3-3) unstable; urgency=low

  * Getting swish on the UploadQueue

 -- Michael Hummel <mhummel@debian.org>  Tue, 30 Mar 2004 16:02:39 +0200

swish++ (5.15.3-2) unstable; urgency=low

  * Loosing quotes in swish++.conf as well
  * Fixing typo in search.1
    (closes: #238172)

 -- Michael Hummel <mhummel@debian.org>  Mon, 29 Mar 2004 21:03:43 +0200

swish++ (5.15.3-1) unstable; urgency=low

  * New upstream release
  * Bumping Standards-Version to 3.6.1
  * Including tab and newline in  ShellFilenameEscapeChars[] and ShellFilenameDelimChars[]\
  and loosing the quotes in the FAQ.Debian filter example. Thanks to calvin for those
  (closes: #238362)

 -- Michael Hummel <mhummel@debian.org>  Mon, 29 Mar 2004 18:00:48 +0200

swish++ (5.14.2-1) unstable; urgency=low

  * New upstream release
    (
    Shell meta charakters are now escaped (closes: #205342)
    Filenames with spaces are handled correctly by filter (closes: #194358)
    )
  

 -- Michael Hummel <mhummel@debian.org>  Tue, 19 Aug 2003 16:48:36 +0200

swish++ (5.13.5-1) unstable; urgency=low

  * New upstream release
  * Changed FilterFile rules in swish++.conf
    (closes: #194358)

 -- Michael Hummel <mhummel@debian.org>  Tue, 27 May 2003 21:02:12 +0200

swish++ (5.13.2-2) unstable; urgency=medium

  * Applied a patch to fix the mod_man problem
    (closes: #176796)

 -- Michael Hummel <mhummel@debian.org>  Wed, 29 Jan 2003 07:41:09 +0100

swish++ (5.13.2-1) unstable; urgency=low

  * New upstream release
  * Waived the original install procedure, because it was terribly opaque 
  * Switched to Standards-Version: 3.5.8

 -- Michael Hummel <mhummel@debian.org>  Sat, 18 Jan 2003 14:26:15 +0100

swish++ (5.12.1-1) unstable; urgency=low

  * New upstream release  
  * WORD_THRESHOLD back at 250.000, because it's no longer only a compile time
    option and can be lowered through an user swish++.conf file or a
    command line switch (-W)
  * Fixed an indentation problem in the search++ man page (closes: #171656)

 -- Michael Hummel <mhummel@debian.org>  Thu,  5 Dec 2002 00:00:21 +0100

swish++ (5.11-2) unstable; urgency=low

  * Applied a pre.5.11.1 patch from Paul
  (closes: #167576)

 -- Michael Hummel <mhummel@debian.org>  Wed, 20 Nov 2002 17:24:58 +0100

swish++ (5.11-1) unstable; urgency=low

  * New upstream release (closes: #166932) 
  * Patches are now splitted and located in a directory of its own
  * Moved all the daemon scripts and documentation to examples/daemon
  * Some cosmetic cleanup - like fixing executable defaults in example scripts   
    (closes: #166242)
  * Suggesting antiword for filtering and extracting options

 -- Michael Hummel <mhummel@debian.org>  Sat,  2 Nov 2002 08:36:04 +0100

swish++ (5.9.6-3) unstable; urgency=low

  * Removed offending searchd.8 man page; moved converted man page and
    script to the examples directory; cleaned up links to the man page
    (closes: #163542)
  * Cosmetic clean up (rules)

 -- Michael Hummel <mhummel@debian.org>  Sun,  6 Oct 2002 21:57:15 +0200

swish++ (5.9.6-2) unstable; urgency=low

  * Changing to 3.5.7 standard

 -- Michael Hummel <mhummel@debian.org>  Thu,  3 Oct 2002 09:05:23 +0200

swish++ (5.9.6-1) unstable; urgency=low

  * New upstream release

 -- Michael Hummel <mhummel@debian.org>  Fri, 13 Sep 2002 20:38:02 +0200

swish++ (5.9.5-1) unstable; urgency=low

  * New upstream release
  * Compiled with g++-3.2
    (closes: #160105)

 -- Michael Hummel <mhummel@debian.org>  Sun,  8 Sep 2002 18:40:04 +0200

swish++ (5.9.2-1) unstable; urgency=low

  * New upstream release
  * Some cosmetic changes (swishmutt.sh)
  * Added a FAQ.Debian regarding the index of ro directories ...
    (closes: #138553)
  * Compiled with gcc-3.1 on i386 (see below ...)

 -- Michael Hummel <mhummel@debian.org>  Sun, 14 Jul 2002 16:51:11 +0200

swish++ (5.7-2) unstable; urgency=low

  * Suggesting xpdf-utils instead of xpdf, due to changes in
    the xpdf package(s)
  * Moved /etc/swish++.conf to /usr/share/doc/swish++/
  * Cosmetical changes in the examples directory

 -- Michael Hummel <mhummel@debian.org>  Thu, 28 Feb 2002 22:03:28 +0100

swish++ (5.7-1) unstable; urgency=medium

  * New upstream release
    (closes: #129389)
  * Some cosmetic changes (README.Debian, swishmutt.sh)
  * Fixed (old) sed script bug - no empty man page anymore
    (closes: #133269)

 -- Michael Hummel <mhummel@debian.org>  Mon, 11 Feb 2002 20:55:58 +0100

swish++ (5.6-2) unstable; urgency=low

  * Dirty compiler trick: needed gcc-3.0 on i386 and gcc-2.95 on the
    rest. The i386 version is compiled with g++ linked to gcc-3.0.
  * Depends now on libstdc++3 therefore. 
  * Optimization should speed up indexing (~30%)
  * Lowered threshold to 100.000
  *  (closes: #130605)
  * Added an email-indexing-example-directory (howto + a script example
    from me + a patched version of Kai Grossjohann's nnir.el) 

 -- Michael Hummel <mhummel@debian.org>  Tue, 29 Jan 2002 19:00:54 +0100

swish++ (5.6-1) unstable; urgency=high

  * New upstream release 
  * Removed compiler optimization flags; will have to wait for a upstream
    solution to re-include optimization. (Safe bet: trading speed for
    random segfaults)  
  *  (closes: #129390)

 -- Michael Hummel <mhummel@debian.org>  Sun, 20 Jan 2002 16:30:17 +0100

swish++ (5.5.3-1) unstable; urgency=medium

  * Adopted this orphan
  (closes: #88974)
  * Assuming some more progressive default values in swish++.conf
  * Suggesting xpdf (pdftotext) for attachment filtering ...
  * Some polishing with fixmanpage
  * Some new primitiveness (regarding the patches), as a gradual approach
    to adoption
  * New upstream release seems to fix the ia64 build bug - 
    built successfully on caballero
   (closes: #119736)
  * Added a minimal manpage for searchc

 -- Michael Hummel <mhummel@debian.org>  Sun, 30 Dec 2001 01:16:03 +0100

swish++ (5.1-0.1) unstable; urgency=medium

  * New upstream release.
  * Marking the package as orphaned.
  * Policy compliance.
  * Updated DBS.
  * Renamed newly introduced upstream splitmail to splitmail++ due to a
    conflict with metamail.
  * Various polishing.
  * Made with help from Al Stone <albert_stone@hp.com>.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Mon,  9 Jul 2001 12:48:54 +0200

swish++ (3.0.3-3) unstable; urgency=low

  * chmod +x debian/fixmanpage.  Closes: #51235
  * Reclosing bugs that only got marked as fixed
    by -1 upload, which was recognized as an NMU.
    Closes: #38173, #43417, #45677, #49391

 -- Jim Pick <jim@jimpick.com>  Thu, 25 Nov 1999 16:31:01 -0800

swish++ (3.0.3-2) unstable; urgency=low

  * Oops, messed up the source package.  Second try.

 -- Jim Pick <jim@jimpick.com>  Sun, 21 Nov 1999 12:23:36 -0800

swish++ (3.0.3-1) unstable; urgency=low

  * New upstream source.
  * Changed to new packaging format.
  * Closes: #38173, #43417, #45677, #49391 

 -- Jim Pick <jim@jimpick.com>  Sat, 20 Nov 1999 15:48:55 -0800

swish++ (1.4.1-1) unstable; urgency=low

  * New upstream source.

 -- Jim Pick <jim@jimpick.com>  Wed,  6 Jan 1999 12:36:12 -0800

swish++ (1.4b2-1) unstable; urgency=low

  * New upstream source.

 -- Jim Pick <jim@jimpick.com>  Thu, 17 Dec 1998 21:10:38 -0800

swish++ (1.1b3-3) frozen unstable; urgency=low

  * Oops, forgot to add frozen.

 -- Jim Pick <jim@jimpick.com>  Tue, 15 Dec 1998 00:28:25 -0800

swish++ (1.1b3-2) unstable; urgency=low

  * Recompiled.  fixes: BUG#29050
  * Fixed location of gzip/gunzip.  fixes: BUG#24742
  * Added support for bzip2.

 -- Jim Pick <jim@jimpick.com>  Mon, 14 Dec 1998 23:21:35 -0800

swish++ (1.1b3-1) unstable frozen; urgency=low

  * Upstream release.
  * Renamed binaries to prevent name collisions (fixes bug #20536).
  * Recompiled so it now works with new libstdc++

 -- Jim Pick <jim@jimpick.com>  Tue, 12 May 1998 09:47:24 -0700

swish++ (1.1b1-1) unstable; urgency=low

  * Initial Release.

 -- Jim Pick <jim@jimpick.com>  Fri, 13 Mar 1998 22:41:24 -0800


